%feature("docstring") OT::GeneralizedParetoFactory
"Generalized Pareto factory.

Available constructor:
    GeneralizedParetoFactory()

Notes
-----

We implement three parametric estimation methods: the
classical moments method, the exponential regression method and the
probability weighted moments method, according to the reference [Matthys2003]_.
The default strategy is to use the probability
weighted moments method when the sample size is smaller than the
threshold defined in the RessourceMap object
*GeneralizedParetoFactory-SmallSize*. In case of failure, it
uses the exponential regression method. If the sample size is to high,
it uses the exponential regression method. The classical moments
method is proposed but not used by default.

See also
--------
DistributionFactory, GeneralizedPareto"

// ---------------------------------------------------------------------

%feature("docstring") OT::GeneralizedParetoFactory::setOptimizationAlgorithm
"Accessor to the solver.

Parameters
----------
solver : :class:`~openturns.OptimizationAlgorithm`
    The solver used for numerical optimization of the likelihood."

// ---------------------------------------------------------------------

%feature("docstring") OT::GeneralizedParetoFactory::getOptimizationAlgorithm
"Accessor to the solver.

Returns
-------
solver : :class:`~openturns.OptimizationAlgorithm`
    The solver used for numerical optimization of the likelihood."

